> ## Documentation Index
> Fetch the complete documentation index at: https://help.lobyco.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Finalize import job

> Used with external offer allocation imports. Marks the import job as finished and ready to use by customers. Idempotent.
It is necessary to call this finalization after all batches were loaded via API. Data Import flow will finalization as a part of import.



## OpenAPI

````yaml openapi/promotion-v3.json POST /v3/personaloffers/finish-bulk
openapi: 3.0.4
info:
  title: Offer Api
  version: v3
servers:
  - url: https://{host}/promotion
    description: Your Lobyco environment
    variables:
      host:
        default: your-environment.lobyco.net
        description: >-
          The API host for your Lobyco environment. Replace it with the host you
          were given — this placeholder does not resolve.
security:
  - Bearer: []
paths:
  /v3/personaloffers/finish-bulk:
    post:
      tags:
        - PersonalOffers
      summary: Finalize import job
      description: >-
        Used with external offer allocation imports. Marks the import job as
        finished and ready to use by customers. Idempotent.

        It is necessary to call this finalization after all batches were loaded
        via API. Data Import flow will finalization as a part of import.
      parameters:
        - name: JobId
          in: header
          description: ''
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ImportResult'
            application/json:
              schema:
                $ref: '#/components/schemas/ImportResult'
            text/json:
              schema:
                $ref: '#/components/schemas/ImportResult'
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ImportResult'
            application/json:
              schema:
                $ref: '#/components/schemas/ImportResult'
            text/json:
              schema:
                $ref: '#/components/schemas/ImportResult'
components:
  schemas:
    ImportResult:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/WebServiceError'
          nullable: true
      additionalProperties: false
    WebServiceError:
      required:
        - message
        - name
      type: object
      properties:
        name:
          minLength: 1
          type: string
        message:
          minLength: 1
          type: string
        details:
          nullable: true
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: apiKey
      description: >-
        Opaque Authorization header using the Bearer scheme. Example:
        "Authorization: Bearer {token}"
      name: Authorization
      in: header

````